Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions
DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY > Class Template Reference

_ More...

`#include <pubkey.h>`

Inheritance diagram for DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >:

List of all members.

## Public Types

typedef SCHEME_OPTIONS | SchemeOptions
typedef KEY::Element | Element

## Public Member Functions

PrivateKey & | AccessPrivateKey ()
PublicKey & | AccessPublicKey ()
const KEY & | GetKey () const
KEY & | AccessKey ()
std::string | AlgorithmName () const

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Protected Member Functions

BASE::KeyInterface & | AccessKeyInterface ()
const BASE::KeyInterface & | GetKeyInterface () const
HashIdentifier | GetHashIdentifier () const
size_t | GetDigestSize () const

## Detailed Description

### template<class BASE, class SCHEME_OPTIONS, class KEY>
class DL_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >

_

Definition at line 1281 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h